#include <maps/wikimap/mapspro/services/social/src/libs/feedback/regions.h>

#include <maps/wikimap/mapspro/services/social/src/libs/yacare/helpers.h>

namespace maps::wiki::socialsrv {

namespace sf = social::feedback;

AoiRegion::AoiRegion(ID aoiId, std::string title) :
    aoiId(aoiId), title(std::move(title))
{}

bool operator < (const AoiRegion& lhs, const AoiRegion& rhs)
{
    return lhs.aoiId < rhs.aoiId;
}

RegionStatRow::RegionStatRow(
    const AoiRegion& region,
    const sf::AoiTaskStatCounters& counters,
    const std::optional<sf::Task>& oldestTask) :
        region(region),
        counters(counters),
        oldestTask(oldestTask)
{}

} // namespace maps::wiki::socialsrv
